OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
FindMinTileValue< InternalNodeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | ValueType = typename InternalNodeType::ValueType

## Public Member Functions
| FindMinTileValue (InternalNodeType const *const *const nodes)
| FindMinTileValue (FindMinTileValue &rhs, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &range)
void | join (FindMinTileValue &rhs)

## Public Attributes
ValueType | minValue
const InternalNodeType *const *const | mNodes

## Member Typedef Documentation

## ◆ ValueType

using ValueType = typename InternalNodeType::ValueType

## Constructor & Destructor Documentation

## ◆ FindMinTileValue() [1/2]

FindMinTileValue | ( | InternalNodeType const *const *const | nodes | ) |
| inline

## ◆ FindMinTileValue() [2/2]

FindMinTileValue | ( | FindMinTileValue< InternalNodeType > & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ join()

void join | ( | FindMinTileValue< InternalNodeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

## Member Data Documentation

## ◆ minValue

ValueType minValue

## ◆ mNodes

const InternalNodeType* const * const mNodes

The documentation for this struct was generated from the following file:

- LevelSetUtil.h